#define BTN 14
#define LED 15
#define PIN_MAP_STANDARD

int BTNStatus;
int lastBTNStatus = 1;
int LEDStatus = 0;

long DBTime = 0;
long DBDelay = 30;

void setup(){
  Serial.begin(9600);
  pinMode(BTN,INPUT);
  pinMode(LED,OUTPUT);

  digitalWrite(LED,LEDStatus);
}

void loop(){
  int reading = digitalRead(BTN);
  if (reading != lastBTNStatus) {
    DBTime = millis();
  }
  if ((millis() - DBTime) > DBDelay) {
    if (reading != BTNStatus) {
      BTNStatus = reading;
      
      if (BTNStatus == LOW) {
        LEDStatus = !LEDStatus;
        Serial.println("1");
      }
    }
  }
  digitalWrite(LED, LEDStatus);
  lastBTNStatus = reading;
  Serial.println("0");
}
